summaryrefslogtreecommitdiffstats
path: root/t/recipes/checks/files/unicode
diff options
context:
space:
mode:
Diffstat (limited to 't/recipes/checks/files/unicode')
-rw-r--r--t/recipes/checks/files/unicode/trojan/exe-vs-gif-in-patched-filename/build-spec/fill-values3
-rwxr-xr-xt/recipes/checks/files/unicode/trojan/exe-vs-gif-in-patched-filename/build-spec/pre-build9
-rw-r--r--t/recipes/checks/files/unicode/trojan/exe-vs-gif-in-patched-filename/eval/desc2
-rw-r--r--t/recipes/checks/files/unicode/trojan/exe-vs-gif-in-patched-filename/eval/hints1
-rw-r--r--t/recipes/checks/files/unicode/trojan/rte-in-contents/build-spec/fill-values3
-rwxr-xr-xt/recipes/checks/files/unicode/trojan/rte-in-contents/build-spec/pre-build11
-rw-r--r--t/recipes/checks/files/unicode/trojan/rte-in-contents/eval/desc2
-rw-r--r--t/recipes/checks/files/unicode/trojan/rte-in-contents/eval/hints1
8 files changed, 32 insertions, 0 deletions
diff --git a/t/recipes/checks/files/unicode/trojan/exe-vs-gif-in-patched-filename/build-spec/fill-values b/t/recipes/checks/files/unicode/trojan/exe-vs-gif-in-patched-filename/build-spec/fill-values
new file mode 100644
index 0000000..ac02fd0
--- /dev/null
+++ b/t/recipes/checks/files/unicode/trojan/exe-vs-gif-in-patched-filename/build-spec/fill-values
@@ -0,0 +1,3 @@
+Skeleton: source-native
+Testname: exe-vs-gif-in-patched-filename
+Description: Unicode RLTO in patched file name
diff --git a/t/recipes/checks/files/unicode/trojan/exe-vs-gif-in-patched-filename/build-spec/pre-build b/t/recipes/checks/files/unicode/trojan/exe-vs-gif-in-patched-filename/build-spec/pre-build
new file mode 100755
index 0000000..ab43774
--- /dev/null
+++ b/t/recipes/checks/files/unicode/trojan/exe-vs-gif-in-patched-filename/build-spec/pre-build
@@ -0,0 +1,9 @@
+#!/bin/bash
+
+set -e
+
+DIR="$1"
+
+mkdir -p "$DIR/scripts"
+NAME=`echo -e 'example\xE2\x80\xAEfig.exe'`
+touch "$DIR/scripts/$NAME"
diff --git a/t/recipes/checks/files/unicode/trojan/exe-vs-gif-in-patched-filename/eval/desc b/t/recipes/checks/files/unicode/trojan/exe-vs-gif-in-patched-filename/eval/desc
new file mode 100644
index 0000000..93e20d8
--- /dev/null
+++ b/t/recipes/checks/files/unicode/trojan/exe-vs-gif-in-patched-filename/eval/desc
@@ -0,0 +1,2 @@
+Testname: exe-vs-gif-in-patched-filename
+Check: files/unicode/trojan
diff --git a/t/recipes/checks/files/unicode/trojan/exe-vs-gif-in-patched-filename/eval/hints b/t/recipes/checks/files/unicode/trojan/exe-vs-gif-in-patched-filename/eval/hints
new file mode 100644
index 0000000..d1e3a72
--- /dev/null
+++ b/t/recipes/checks/files/unicode/trojan/exe-vs-gif-in-patched-filename/eval/hints
@@ -0,0 +1 @@
+exe-vs-gif-in-patched-filename (source): unicode-trojan File name U+202E "RIGHT-TO-LEFT OVERRIDE" [scripts/example‮fig.exe]
diff --git a/t/recipes/checks/files/unicode/trojan/rte-in-contents/build-spec/fill-values b/t/recipes/checks/files/unicode/trojan/rte-in-contents/build-spec/fill-values
new file mode 100644
index 0000000..c619364
--- /dev/null
+++ b/t/recipes/checks/files/unicode/trojan/rte-in-contents/build-spec/fill-values
@@ -0,0 +1,3 @@
+Skeleton: source-native
+Testname: rte-in-contents
+Description: RTE in file contents
diff --git a/t/recipes/checks/files/unicode/trojan/rte-in-contents/build-spec/pre-build b/t/recipes/checks/files/unicode/trojan/rte-in-contents/build-spec/pre-build
new file mode 100755
index 0000000..d9672a5
--- /dev/null
+++ b/t/recipes/checks/files/unicode/trojan/rte-in-contents/build-spec/pre-build
@@ -0,0 +1,11 @@
+#!/bin/bash
+
+set -e
+
+DIR="$1"
+
+mkdir -p "$DIR/scripts"
+
+echo -e '#!/bin/sh\n\npotential\xE2\x80\xABtrojan' > "$DIR/scripts/careful"
+
+chmod +x "$DIR/scripts/careful"
diff --git a/t/recipes/checks/files/unicode/trojan/rte-in-contents/eval/desc b/t/recipes/checks/files/unicode/trojan/rte-in-contents/eval/desc
new file mode 100644
index 0000000..f5c13e0
--- /dev/null
+++ b/t/recipes/checks/files/unicode/trojan/rte-in-contents/eval/desc
@@ -0,0 +1,2 @@
+Testname: rte-in-contents
+Check: files/unicode/trojan
diff --git a/t/recipes/checks/files/unicode/trojan/rte-in-contents/eval/hints b/t/recipes/checks/files/unicode/trojan/rte-in-contents/eval/hints
new file mode 100644
index 0000000..6c3251f
--- /dev/null
+++ b/t/recipes/checks/files/unicode/trojan/rte-in-contents/eval/hints
@@ -0,0 +1 @@
+rte-in-contents (source): unicode-trojan Contents U+202B "RIGHT-TO-LEFT EMBEDDING" [scripts/careful:3]